Inhalte

# Funktion InStr

Gibt die Position einer vorhandenen Zeichenfolge in einem anderen Zeichenfolgenausdruck zurück.

Die Funktion InStr gibt die Position des Zeichens zurück, ab dem die gesuchte Zeichenfolge in der zu durchsuchenden Zeichenfolge enthalten ist. Ist die gesuchte Zeichenfolge dort nicht enthalten, wird der Wert 0 zurückgegeben.

### Syntax:

    InStr ([Start As Long,] String1 As String, String2 As String[, Compare As Integer]) As Integer

### Rückgabetyp:

Integer

### Parameter:

Anfang: Ein numerischer Ausdruck, der die Position in einer Zeichenfolge markiert, an der die Suche nach der angegebenen Teilzeichenfolge beginnt. Wenn Sie diesen Parameter weglassen, beginnt die Suche beim ersten Zeichen der Zeichenfolge. Der minimal zulässige Wert ist 1. Der maximal zulässige Wert ist 2.147.483.648.

String1: Die gesuchte Zeichenfolge.

Zeichenfolge2: Die Zeichenfolge, nach der gesucht werden soll.

Compare: Optionaler Vergleichstyp. Der Wert kann 0 oder 1 sein. Der Standardwert 1 legt fest, dass die Groß-/Kleinschreibung nicht beachtet wird. Der Wert 0 legt fest, dass die Groß-/Kleinschreibung beachtet wird.

Bei einem Vergleich ohne Berücksichtigung der Groß-/Kleinschreibung können lokalspezifische Besonderheiten verwendet werden. Beispielsweise kann „s“ mit „β“ übereinstimmen.

Der Parameter Compare sollte nicht gesetzt werden, wenn der Parameter Start weggelassen wurde. Andernfalls kann es zu einem Laufzeitfehler kommen.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExamplePosition
      Const sCalc = "LibreOffice Calc"

      Instr(sCalc, "calc")     ' gibt „13“ zurück
      Instr(String1:=sCalc, String2:="calc", Start:=1)  ' gibt „13“ zurück
      Instr(11, sCalc, "c")     ' gibt „13“ zurück
      Instr(11, sCalc, "c",  1) ' gibt „13“ zurück
      Instr(11, sCalc, "c",  0) ' gibt „16“ zurück
    End Sub

Bitte unterstützen Sie uns!